/*  Linux word The Japanese word processor
 *  createhelp.c
 *
 *  Copyright (C) 1999, 2000 NAKATANI Chie, YOSHIDA Daisuke
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#include <gtk/gtk.h>
#include "createhelp.h"
#include "gtkwrap.h"
#include "version.h"

/*****************************************
 * إɽ
 *****************************************/
void on_man_activate() {
  GtkWidget *help_win;

  help_win = create_help_win();
  gtk_widget_show (help_win);
  gtk_grab_add(help_win);
}

/*****************************************
 * إĤ
 *****************************************/
void on_help_close_clicked(GtkButton *button, GtkWidget *help_win) {
  gtk_widget_destroy(help_win);
}

/*****************************************
 * إ
 *****************************************/
GtkWidget* create_help_win ()
{
  GtkWidget *help_win;
  GtkWidget *vbox2;
  GtkWidget *title;
  GtkWidget *notebook1;
  GtkWidget *scrolled_help1;
  GtkWidget *help1;
  GtkWidget *scrolled_help2;
  GtkWidget *help2;
  GtkWidget *scrolled_help3;
  GtkWidget *help3;
  GtkWidget *scrolled_help4;
  GtkWidget *help4;
  GtkWidget *help1_ti;
  GtkWidget *help2_ti;
  GtkWidget *help3_ti;
  GtkWidget *help4_ti;
  GtkWidget *help_close;

  help_win = gtk_window_new (GTK_WINDOW_DIALOG);
  gtk_object_set_data (GTK_OBJECT (help_win), "help_win", help_win);
  gtk_window_set_title (GTK_WINDOW (help_win), "Word's HELP");
  gtk_window_set_policy (GTK_WINDOW (help_win), TRUE, TRUE, FALSE);

  vbox2 = gtk_vbox_new (FALSE, 0);
  gtk_object_set_data (GTK_OBJECT (help_win), "vbox2", vbox2);
  gtk_widget_show (vbox2);
  gtk_container_add (GTK_CONTAINER (help_win), vbox2);

  title = gtk_label_new ("ܸץΥޥ˥奢");
  gtk_object_set_data (GTK_OBJECT (help_win), "title", title);
  gtk_widget_show (title);
  gtk_box_pack_start (GTK_BOX (vbox2), title, FALSE, FALSE, 10);

  notebook1 = gtk_notebook_new ();
  gtk_object_set_data (GTK_OBJECT (help_win), "notebook1", notebook1);
  gtk_widget_show (notebook1);
  gtk_box_pack_start (GTK_BOX (vbox2), notebook1, TRUE, TRUE, 0);

  scrolled_help1 = gtk_scrolled_window_new (NULL, NULL);
  gtk_object_set_data (GTK_OBJECT (help_win), "scrolled_help1", scrolled_help1);
  gtk_widget_show (scrolled_help1);
  gtk_container_add (GTK_CONTAINER (notebook1), scrolled_help1);
  gtk_scrolled_window_set_policy (GTK_SCROLLED_WINDOW (scrolled_help1), GTK_POLICY_AUTOMATIC, GTK_POLICY_AUTOMATIC);

  help1 = gtk_text_new (NULL, NULL);
  gtk_object_set_data (GTK_OBJECT (help_win), "help1", help1);
  gtk_widget_show (help1);
  gtk_container_add (GTK_CONTAINER (scrolled_help1), help1);
  gtk_widget_set_usize (help1, 590, 300);
  gtk_widget_realize (help1);
  gtk_text_insert
    (GTK_TEXT (help1), NULL, NULL, NULL,
     "\n"
     "\t\t\t\t\t\t\t\t\t\t\tܸɥץå\n"
     "\n"
     "\tPC-UNIXѤΥե꡼ǥץ󥽡ܸɥץå\n"
     "\n"
     "\t\t\t\t\t\t\t\t\t\t\tС "
     VERSION
     " \n"
     "\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t2000ǯ129()\n"
     "\n"
     "\n"
     "\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t乬 mituiwa@opal.famille.ne.jp\n"
     "\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\tʹ quippa@geocities.co.jp\n"
     "\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\të鳨 jeanne@mbox.kyoto-inet.or.jp", 336);

  scrolled_help2 = gtk_scrolled_window_new (NULL, NULL);
  gtk_object_set_data (GTK_OBJECT (help_win), "scrolled_help2", scrolled_help2);
  gtk_widget_show (scrolled_help2);
  gtk_container_add (GTK_CONTAINER (notebook1), scrolled_help2);
  gtk_scrolled_window_set_policy (GTK_SCROLLED_WINDOW (scrolled_help2), GTK_POLICY_AUTOMATIC, GTK_POLICY_AUTOMATIC);

  help2 = gtk_text_new (NULL, NULL);
  gtk_object_set_data (GTK_OBJECT (help_win), "help2", help2);
  gtk_widget_show (help2);
  gtk_container_add (GTK_CONTAINER (scrolled_help2), help2);
  gtk_widget_set_usize (help2, 520, -2);
  gtk_widget_realize (help2);
  gtk_text_insert
    (GTK_TEXT (help2), NULL, NULL, NULL,
     "\t\t\t\t\t\t\t\t\t\t\t\tޥ˥奢\n"
     "(1) ե\n"
     "\n"
     "ɤ߹\n"
     "\n"
     "եޥåȤΥե(*.wd1)ɤ߹ߤޤ\n"
     "եޥåȰʳΥեɤ߹ߤ򤷤褦ȤƤ̵뤵ޤ\n"
     "\n"
     "̾Ĥ¸\n"
     "\n"
     "եޥåȤ¸ޤ\n"
     "եޥåȤϡlibc5ϤΥƥglibc2ϤΥƥǤϡ\n"
     "ɤθߴʤᡢLinux Word եޥåȤߴޤ\n"
     "\n"
     "\n"
     "\n"
     "ѤpsեϤޤ\n"
     " ps եghostscriptѤƥץ󥿤˽Ϥޤ\n"
     "\n"
     "TeXν\n"
     "\n"
     "TeX(*.tex )եϤޤ\n"
     "\n"
     "ƥȤɤ߹\n"
     "\n"
     "ƥȥեɤ߹ߤޤɤ߹ޤ줿ʸ°ϡߤΥե\n"
     "Ȥʸ°( Ĵ)ɤ߹ޤޤ\n"
     "ɤ߹ƥȤ°ꤷϡ餫˥塼ǥե\n"
     "ʸ°ѹƤƥȤɤ߹Ǥ\n"
     "ޤɤ߹եȤΥå򤷤ƤʤΤǡɤ߹ޤ\n"
     "ĤƤ\n"
     "\n"
     "ƥȤ\n"
     "\n"
     "ΰ֤˥ƥȥեޤɤ߹ޤ줿ʸ°ϡ\n"
     "ߤΥեȤʸ°(ΡĴ)ɤ߹ޤޤ\n"
     "ɤ߹ƥȤ°ꤷϡ餫˥塼ǥե\n"
     "ʸ°ѹƤƥȤɤ߹Ǥ\n"
     "ޤɤ߹եȤΥå򤷤ƤʤΤǡɤ߹ޤ\n"
     "ĤƤ\n"
     "\n"
     "(2) Խ\n"
     "\n"
     "åȡڡȵǽ\n"
     "\n"
     "ڤ\n"
     "\n"
     "ڤꤿʬƬǥޥκܥ򲡤ڤ򤷤ϰϤ\n"
     "ޤǰưޥܥΥϰϤȿžޤ\n"
     "Խץ˥塼ڤפ򤹤ȡϰϤڤޤ\n"
     "\n"
     "ԡ\n"
     "\n"
     "ԡʬƬǥޥκܥ򲡤ԡ򤷤ϰϤ\n"
     "ޤǰưޥܥΥϰϤȿžޤ\n"
     "Խץ˥塼֥ԡפ򤹤ȡϰϤ򥳥ԡޤ\n"
     "\n"
     "Žդ\n"
     "\n"
     "Žդ򤷤֤˥ޥݥ󥿡֤ơԽץ˥塼\n"
     "Žդפ򤹤ȡΰ֤Žդޤ\n"
     "\n"
     "ڡǽ\n"
     "\n"
     "ڡ\n"
     "\n"
     "Υڡ˥Ȳ̤ưޤ\n"
     "\n"
     "ڡ\n"
     "\n"
     "Υڡ˥Ȳ̤ưޤ\n"
     "\n"
     "Ƭڡ\n"
     "\n"
     "ǽΥڡ˥Ȳ̤ưޤ\n"
     "\n"
     "ǽڡ\n"
     "\n"
     "ǸΥڡ˥Ȳ̤ưޤ\n"
     "ߤΥΤ֤ΰ֤˥ưޤ\n"
     "\n"
     "ڡ\n"
     "\n"
     "ưڡֹꤹȤΥڡ˥Ȳ̤ư\n"
     "\n"
     "\n"
     "(3)\n"
     "\n"
     "褻褻褻\n"
     "\n"
     "ϰϤʸ֤ޤ\n"
     "\n"
     "Դ֤\n"
     "\n"
     "ץ˥塼ֹԴ֤פ򤹤ȡԴ֤ꤹ뤬\n"
     "ޤ0 127 ݥȤϰϤǻꤷޤ\n"
     "\n"
     "ưΤΥ롼顼λȤ\n"
     "\n"
     "˥塼Сβ¦˺ưΤΥ롼顼ĤƤޤ\n"
     "Υ롼顼ˤƬΰ֤ͳ˷뤳ȤǤޤ\n"
     "¦Υ롼顼ǹƬΰ֤ꤷޤ\n"
     "¦Υ롼顼ǹΰ֤ꤷޤ\n"
     "ϰϻꤷʤϡߤιԤΤ߹Ƭΰ֤ꤷޤ\n"
     "ϰϻꤵƤϡιԤιƬΰ֤ꤷޤ\n"
     "\n"
     "饤()ܡ()å()ù\n"
     "\n"
     "U Ҥޤ\n"
     "\n"
     "ҤʸȿžƤ U ˥å򤤤ޤ\n"
     "ϰϻꤷʤϡǥեȤˤʤޤ\n"
     "\n"
     "B ˤޤ\n"
     "\n"
     "ˤʸȿžƤ B ˥å򤤤ޤ\n"
     "ϰϻꤷʤϡǥեȤˤʤޤ\n"
     "\n"
     "I å()ˤޤ\n"
     "\n"
     "åΤˤʸޤʸȿžƤ I ˥å\n"
     "ޤ\n"
     "ϰϻꤷʤϡåΤǥեȤˤʤޤ\n"
     "ϣƱ˻ꤹ뤳ȤǤޤ\n"
     "\n"
     "եȤμȥեȥ\n"
     "\n"
     "եȤμѹ\n"
     "\n"
     "֥ե̾ɽפåȡեȥꥹȥե .wordfontrc\n"
     "ꤷեȤ̾ɽޤ\n"
     "ľʸϤƤϤιԤꤷեȤϤǤޤ\n"
     "ǤϤƤʸΥեȤѹ򤷤ϡեȤѹ\n"
     "򤷤ʸꤷϰϤȿž塢ե̾Ȥ\n"
     "եȤ򤷤ޤ\n"
     "\n"
     "եȥѹ\n"
     "\n"
     "ǥեȤ 14 ݥȡ\n"
     "줾νΤˤĤơ6127 ݥȤޤǼͳǤޤ\n"
     "", 3881);

  scrolled_help3 = gtk_scrolled_window_new (NULL, NULL);
  gtk_object_set_data (GTK_OBJECT (help_win), "scrolled_help3", scrolled_help3);
  gtk_widget_show (scrolled_help3);
  gtk_container_add (GTK_CONTAINER (notebook1), scrolled_help3);
  gtk_scrolled_window_set_policy (GTK_SCROLLED_WINDOW (scrolled_help3), GTK_POLICY_AUTOMATIC, GTK_POLICY_AUTOMATIC);

  help3 = gtk_text_new (NULL, NULL);
  gtk_object_set_data (GTK_OBJECT (help_win), "help3", help3);
  gtk_widget_show (help3);
  gtk_container_add (GTK_CONTAINER (scrolled_help3), help3);
  gtk_widget_set_usize (help3, 520, -2);
  gtk_widget_realize (help3);
  gtk_text_insert
    (GTK_TEXT (help3), NULL, NULL, NULL,
     "\t\t\t\t\tեȾե.wordfontrcפ\n"
     "\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\të鳨\n"
     "\n"
     "ܸTrueTypeX-TTǻȤϡricoh.wordfontrc 򻲹ͤˤơ.wordfontrc\n"
     "ۡǥ쥯ȥ˥ԡޤ\n"
     "\n"
     "\tcp .wordfontrc $HOME\n"
     "\tcp word /usr/local/bin\n"
     "\n"
     "źդ ricoh.wordfontrc ǤϥꥳΥեȤѤǤ褦ꤵƤޤ\n"
     "\n"
     "(1) եȥꥹȥե .wordfontrc Խ\n"
     "\n"
     "WordΥեȥꥹȥե񤯤ˤϡ餫ἡ꤬λƤ\n"
     "ȤɬפǤ\n"
     "\n"
     "      1.  X  TrueType եȤѤǤ褦ꤵƤ뤳ȡ\n"
     "      2  /etc/vfontcapǰѤΥեȤꤵƤ뤳ȡ\n"
     "\n"
     "(2)եեε\n"
     "\n"
     "եȤ\n"
     "\n"
     "       1    HGʿīW3\n"
     "       2   -ricoh-hg heiseiminchotai w3-medium-\n"
     "       3   /Ryumin-Light\n"
     " \n"
     "ΣԤǣĤΥեȤޤ 줾ιԤ˽񤫤եȤ\n"
     "̾ΤϼΤ褦ˤʤޤ\n"
     "\n"
     "1ܤϥե̾¯(Word Υեɽ̾ˤʤޤ)\n"
     "2ܤ X Ѥ뤿 fonts.dir ꤵƤե̾\n"
     "3ܤ vflib.ps Ƥѥե̾\n"
     "\n"
     "(3) ī(/Ryumin-Light)ȥå(/GothicBBB-Medium)ʳ˥եȤ\n"
     "\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\tɲäˡ\n"
     "\n"
     "Ȥ Ricoh եȡHGSoeiMarupoptaiפɲäޤ\n"
     "եȥꥹȥե(.wordfontrc)˼Τ褦ʣԤɲäޤ\n"
     "\n"
     "1   HGݥݥå\n"
     "2   -Ricoh-HGSoeiMarupoptai-medium-\n"
     "3   /HGSoeiMarupoptai-Medium\n"
     "\n"
     "1ܤϡHGݥݥåספΤ褦˥եȤ̤Ǥ̾ǤϤޤ\n"
     "2ܤ̾Τ /usr/X11R6/lib/fonts/TrueType/fonts.dir ˵ҤƤ̾Τ񤭤ޤ\n"
     "2ܤεҤϲɽեȤˤʤޤ\n"
     "3ܤεҤϡѤΥեȤǤ\n"
     "HGݥݥåספФơ/HGSoeiMarupoptai-MediumפȤ̾ΤͿ\n"
     " /usr/local/share/ghostscript/5.10/kanji/vflib.ps ǼΤ褦ʹԤä\n"
     "եȤ򤷤ޤ\n"
     "ιԤ˽񤫤 (r-ricoh-ttw-hg-souei-kaku-pop)Ȥե̾\n"
     "ǤꤵƤեȤ̾ΤȤޤ\n"
     "vfont.ps (Kanji Font Configuration File)εˡξܺ٤ϡ\n"
     "vfont.ps(Kanji Font Configuration File)եƬʬ˲⤵Ƥޤ\n"
     "\n"
     "ʾҤ٤ˡǹߤΥեȤꥹȤ˲äƤޤ\n"
     "", 2161);

  scrolled_help4 = gtk_scrolled_window_new (NULL, NULL);
  gtk_object_set_data (GTK_OBJECT (help_win), "scrolled_help4", scrolled_help4);
  gtk_widget_show (scrolled_help4);
  gtk_container_add (GTK_CONTAINER (notebook1), scrolled_help4);
  gtk_scrolled_window_set_policy (GTK_SCROLLED_WINDOW (scrolled_help4), GTK_POLICY_AUTOMATIC, GTK_POLICY_AUTOMATIC);

  help4 = gtk_text_new (NULL, NULL);
  gtk_object_set_data (GTK_OBJECT (help_win), "help4", help4);
  gtk_widget_show (help4);
  gtk_container_add (GTK_CONTAINER (scrolled_help4), help4);
  gtk_widget_set_usize (help4, 520, -2);
  gtk_widget_realize (help4);
  gtk_text_insert
    (GTK_TEXT (help4), NULL, NULL, NULL,
     "\t\t\t\t\t\t\t\t\t\t\t\t\t\t\tǿ\n"
     "\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t乬\n"
     "\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\të鳨\n"
     "(1) ΥץѥåˤĤ\n"
     "\n"
     "word κǿǤϡLinuxꤹ뤳ȤǤޤ\n"
     "\n"
     "http://www2.famille.ne.jp/~mituiwa/index.html#word\n"
     "\n"
     "Υץϡե꡼եȥǤꡢFree Software Foundation ˤ\n"
     "GNU̸ͭѵС2ޤϤʹߤΥСΤ Ǽͳ\n"
     "ۤ뤳ȤǤޤ\n"
     "ΥץͭѤۤ뤳Ȥ˾ߤޤ\n"
     "ޤΥץ1ѤΤƱͤǤ\n"
     "GNU̸ͭѵϡLISENCE ե˼ϿޤΤǡɬܤ̤\n"
     "\n"
     "\n"
     "(2) ʸˤĤ\n"
     "\n"
     "ʸκǿǤϡLinux Word ManualΥڡꤹ뤳ȤǤޤ\n"
     "\n"
     "http://web.kyoto-inet.or.jp/people/jeanne/word/manual.html\n"
     "\n"
     "ʸ Linux HOWTO copyright notice ˽äۤ뤳ȤǤޤ\n"
     "", 910);

  help1_ti = gtk_label_new ("WordˤĤ");
  gtk_object_set_data (GTK_OBJECT (help_win), "help1_ti", help1_ti);
  gtk_widget_show (help1_ti);
  set_notebook_tab (notebook1, 0, help1_ti);

  help2_ti = gtk_label_new ("");
  gtk_object_set_data (GTK_OBJECT (help_win), "help2_ti", help2_ti);
  gtk_widget_show (help2_ti);
  set_notebook_tab (notebook1, 1, help2_ti);

  help3_ti = gtk_label_new ("ե");
  gtk_object_set_data (GTK_OBJECT (help_win), "help3_ti", help3_ti);
  gtk_widget_show (help3_ti);
  set_notebook_tab (notebook1, 2, help3_ti);

  help4_ti = gtk_label_new ("ǿ");
  gtk_object_set_data (GTK_OBJECT (help_win), "help4_ti", help4_ti);
  gtk_widget_show (help4_ti);
  set_notebook_tab (notebook1, 3, help4_ti);

  help_close = gtk_button_new_with_label ("Ĥ");
  gtk_object_set_data (GTK_OBJECT (help_win), "help_close", help_close);
  gtk_widget_show (help_close);
  gtk_box_pack_end (GTK_BOX (vbox2), help_close, FALSE, FALSE, 0);
  gtk_signal_connect (GTK_OBJECT (help_close), "clicked",
                      GTK_SIGNAL_FUNC (on_help_close_clicked),
                      (gpointer)help_win);

  return help_win;
}
