/*  Linux word  The Japanese word processor
 *  word.h
 *
 *  Copyright (C) 1999, 2000 MITUIWA Yukio, YOSHIDA Daisuke
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifndef _WORD_H
#define _WORD_H

#include <stdio.h>
#include <string.h>
#include <gtk/gtk.h>
#include <gdk/gdk.h>
#include <gdk/gdkkeysyms.h>

#include "worddefs.h"

#define A3WIDTH			1188			/* A3 */
#define	A3HEIGHT		840			/* A3⤵ */
#define A4WIDTH			594			/* A4 */
#define	A4HEIGHT		840			/* A4⤵ */
#define A5WIDTH			420			/* A5 */
#define	A5HEIGHT		594			/* A5⤵ */
#define LEWIDTH			612			/* 쥿 */
#define LEHEIGHT		796			/* 쥿 */
#define B4WIDTH			730			/* B4 */
#define	B4HEIGHT		1030			/* B4⤵ */
#define B5WIDTH			515			/* B5 */
#define	B5HEIGHT		730			/* B5⤵ */

gchar *Memory[2];                      /* ʸǼΰؤΥݥ */
WordChr *master[MAX_ROW];              /* Ǽ줿ʸؤΥݥ */
WordChr *copybuf[MAX_ROW];
WordChr *editbuf;
WordChr *ajustbuf;
LineAttr lines[MAX_ROW];               /* Ǽ줿ʸγƹԤ° */
LineAttr copylines[MAX_ROW];


/* ԽХåեˤĤƤνѿ */
gint editbuf_attr, editbuf_point, editbuf_findex[2], editbuf_pos;

/* ɽ٤° */
GtkWidget *uline, *bold, *italic, *tab_set;
GtkWidget *cur_font[2], *cur_point, *scrolled_window, *etext;

void set_default_attr();
void editbuf_new();
void set_wcs_editbuf(GdkWChar*);



GdkIC     *ic;
GdkICAttr *ic_attr;
struct _Position {
  gint x;
  gint y;
};
typedef struct _Position Position;
struct _inc_pixy {
  gint y;
  gint current;
};
typedef struct _inc_pixy inc_pixy;
gint paper_width;
gint paper_left;
gint paper_right;
gint paper_top;
gint paper_bottom;
gint paper_height;
gint disptop, cpage;
Position copy_;
Position master_;
gint page_x, page_y;
gint vspace;
gint change_combo;
GdkFont *Fontarea[4][MAX_FONT][256];
gchar psfontnames[2][MAX_FONT][128];
gchar fontnames[2][MAX_FONT][128];
gchar xfontnames[2][MAX_FONT][128];
gint tab1, tab2;
gint max_dsp_num, pix_width, pix_height;
/********* Function for WordChr's function *********/
gint get_font_index(gchar*, gint);
GdkFont *get_fontset(WordChr);
gint blink_cursor();
void psout(FILE*);
void texout(FILE*);
void set_rev(Position*, Position*, gint);
void tex_size(FILE*, gint);
void set_lines_attr(gint);
gint get_lines_info(gint, gint*, gint*);
gint get_lefttab(gint);
/********* Function for WordChr's *********/
void set_tab(gint);
void create_input_dialog(GtkWidget*);
Position insert_editbuf(Position);
Position delete_master(Position, Position);
gint get_end_page();
gint get_end_line(gint);
gint end_line_query(gint, gint);
void insert_line(gint);
void delete_line(gint);
gint get_line_height(gint);
void draw_line_pixmap(gint);
void draw_etext();
gint get_pix_x(gint, gint);
void set_input_dialog();
gint get_word_y(gint);
gint get_word_x(gint, gint);
gint change_word_attr(GtkWidget*, gint);
void set_word_combo();
void set_tabular();
void tabular_ok(GtkWidget*, GtkWidget**);
gint replace_tab(GtkWidget*);
gint tab_motion_notify(GtkWidget*, GdkEventMotion*);
gint tab_button_event(GtkWidget*, GdkEventButton*);
gint tab_draw(GtkWidget*, gint, gint);
gint ajust_master(gint, gint);
void set_menu_separate(GtkWidget*);
gint get_end_page_top(gint*);
gint unref_pixmaps();
gint unref_all_pixmaps();
void set_page(gint);
void set_page_notdraw(gint);
void ajust_mbtext(gchar*);
void redraw_init();
/***************************************************/

void set_right_aline ();
void set_left_aline ();
void set_center_aline ();
gint configure_event(GtkWidget *widget, GdkEventConfigure *event) ;
gint tab_button_event(GtkWidget *widget, GdkEventButton *event) ;
gint expose_event (GtkWidget *widget, GdkEventExpose *event) ;
gint key_press_event (GtkWidget *widget, GdkEventKey *event) ;
gint button_press_event (GtkWidget *widget, GdkEventButton *event) ;
gint motion_notify_event (GtkWidget *widget, GdkEventButton *event) ;
gint leave_notify_event (GtkWidget *widget, GdkEventButton *event) ;
gint enter_notify_event (GtkWidget *widget, GdkEventButton *event) ;
gint toggle_button_press(GtkWidget *widget, GdkEventButton *event, gint code);

LineAttr ajustline;


void init_document_area ();
void word_main_quit();
gint inc_line_pix_y(gint, inc_pixy*);
gint get_pix_y(gint);

gint get_page_top(gint, gint*);
gint get_endpage_top(gint*);
gint get_page_info(gint, gint*, gint);

#endif
