/*  Linux word  The Japanese word processor
 *  worddefs.h
 *
 *  Copyright (C) 1999, 2000 MITUIWA Yukio, YOSHIDA Daisuke
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifndef _WORDDEFS_H
#define _WORDDEFS_H 1

#define MAX_COLUMN 180
#define MAX_ROW 144 * 50
#define MAX_FONT 512
#define	SQRT			0.707106781186548
#define NONE 0
#define ASCII_FONT 0
#define ASCII_ITALIC_FONT 2
#define KANJI_FONT 1
#define KANJI_ITALIC_FONT 3
#define CUR_ASCII cur_font[ASCII_FONT]
#define CUR_KANJI cur_font[KANJI_FONT]
#define ASCII_ENTRY GTK_ENTRY(GTK_COMBO(cur_font[ASCII_FONT])->entry)
#define KANJI_ENTRY GTK_ENTRY(GTK_COMBO(cur_font[KANJI_FONT])->entry)
#define POINT_ENTRY GTK_ENTRY(GTK_COMBO(cur_point)->entry)
#define GET_ENTRY(widget) gtk_entry_get_text(GTK_ENTRY(GTK_COMBO(widget)->entry))
#define CHANGE_POINT  0x010
#define CHANGE_ASCII  0x020
#define CHANGE_KANJI  0x040
#define CHANGE_ULINE  0x080
#define CHANGE_BOLD   0x100
#define CHANGE_ITALIC 0x200
#define INC_ZERO 0
#define INC_INIT 1
#define INC_COUNT 2
#define TAB_START 0
#define TAB_END 1
#define TAB_DRAW 2
#define TAB_SET 3
#define TAB_MAX 4
#define PAGEINFO_NUM 0
#define PAGEINFO_MAX 1
#define FUNC_INIT 1
#define FUNC_NONE 2

/* WordChr¤Τϰѿʸɽ */
/* codewcsΥ */
/* pointʸ礭 */
/* attrʸν° */
/* widthʸ */
/* findexϥեֹ */
struct _WordChr {
  GdkWChar code;
  gint16 point;
  gint16 attr;
  gint16 width;
  gint16 findex;
};
typedef struct _WordChr WordChr;
/* ʸ° */
#define WordChr_CONT 0x0001            /* ιԤ³Ƥ */
#define WordChr_UL   0x0002            /*  */
#define WordChr_IT   0x0004            /*  */
#define WordChr_BOLD 0x0008            /*  */
#define WordChr_REV  0x0010            /*  */
#define WordChr_END  0x0010

/* LineAttr¤ΤϰԤ°ɽ */
struct _LineAttr{
  GdkPixmap *pixmap;
  gint attr;
  gint vspace;
  gint lefttab;
  gint righttab;
  gint firsttab;
  gint reserved1;
  gint reserved2;
  gint reserved3;
  gint reserved4;
};
typedef struct _LineAttr LineAttr;
/* Ԥλ° */
#define LineAttr_Left 0x0000           /* · */
#define LineAttr_Right 0x0001          /* · */
#define LineAttr_Center 0x0002         /* · */
#define LineAttr_Form 0x0003
#define LineAttr_NP 0x0004             /* ǤƬ */
#define LineAttr_EOF 0x0008            /* EOF */
#define LineAttr_Tabular 0x0010

#endif
